*, *::after, *::before{
    box-sizing: border-box;
}

:root{
    --cell-size: 100px;
    --mark-size: calc(var(--cell-size)*.9);
}

body{
    margin: 0;
}

.board{
    width: 100vw;
    height: 100vh;
    display: grid;
    justify-content: center;
    align-content: center;
    justify-items: center;
    align-items: center;
    grid-template-columns: repeat(3, auto);
}
.cell.x,.cell.o{
    cursor: not-allowed;
}

.cell{
    width: var(--cell-size);
    height: var(--cell-size);
    border: 1px solid black;
    justify-content: center;
    align-items: center;
    display: flex;
    position: relative;
    cursor: pointer;
}

.cell:nth-child(n-6){
    border-top: none;
}

.cell:nth-child(3n + 1){
    border-left: none;
}

.cell:nth-child(3n+3){
    border-right: none;
}
 
.cell:nth-child(n+7){
    border-bottom: none;
}

.cell.x::after,
.cell.x::before,
.cell.o:before{
    background-color: black;
}

.board.x .cell:not(.x):not(.o):hover::before,
.board.x .cell:not(.x):not(.o):hover::after,
.board.o .cell:not(.x):not(.o):hover::before{
    background-color: lightgray;
}

.cell.x::after,
.cell.x::before,
.board.x .cell:not(.x):not(.o):hover::before,
.board.x .cell:not(.x):not(.o):hover::after{
    position: absolute;
  content: '';
  width: calc(var(--mark-size)*.15);
  height: var(--mark-size);

}

.cell.x::after,
.board.x .cell:not(.x):not(.o):hover::after{
    transform: rotate(45deg);
}

.cell.x:before,
.board.x .cell:not(.x):not(.o):hover::before{
    transform: rotate(-45deg);
}

.cell.o::after,
.cell.o::before,
.board.o .cell:not(.x):not(.o):hover::before,
.board.o .cell:not(.x):not(.o):hover::after{
    position: absolute;
  content: '';
  
 
  border-radius: 50%;

}

.cell.o::after,
.board.o .cell:not(.x):not(.o):hover::after{
    width: calc(var(--mark-size)*.70);
  height: calc(var(--mark-size)*.70);
  background-color: white;
  border-radius: 50%;
}

.cell.o:before,
.board.o .cell:not(.x):not(.o):hover::before{
    width: var(--mark-size);
  height: var(--mark-size);

}

.winning-message{
    display: none;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(0,0,0,0.9);
    justify-content: center;
    align-items: center;
    color: white;
    font-size: 5rem;
    flex-direction: column;
}

.winning-message button{
    font-size: 5rem;
    background-color: white;
    border: 1px solid black;
    padding: .25em .5em;
    cursor: pointer;
}

.winning-message button:hover{
    background-color: black;
    border: white;
    color: white;
}

.winning-message.show{
    display: flex;
}